## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qalculate-qt
Summary:        A multi-purpose desktop calculator for GNU/Linux
Version:        5.5.1
Release:        %autorelease

# The entire source is GPL-2.0-or-later, except:
#   - data/io.github.Qalculate.qalculate-qt.metainfo.xml is CC0-1.0, which is
#     allowed for content only
License:        GPL-2.0-or-later AND CC0-1.0
URL:            https://qalculate.github.io/
# Some differences between the autogenerated tarballs and release tarballs
# https://github.com/Qalculate/qalculate-qt/issues/121
Source:         https://github.com/Qalculate/qalculate-qt/archive/v%{version}/qalculate-qt-%{version}.tar.gz

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

%global app_id io.github.Qalculate.qalculate-qt

BuildRequires:  gcc-c++

BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-linguist

BuildRequires:  pkgconfig(libqalculate) >= %(echo '%{version}' | cut -d . -f -3)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(mpfr)

BuildRequires:  desktop-file-utils
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
BuildRequires:  libappstream-glib
# Matches what gnome-software and others use:
BuildRequires:  appstream

# For %%{_datadir}/icons/hicolor and its subdirectories:
Requires:       hicolor-icon-theme

%description
Qalculate! is a multi-purpose cross-platform desktop calculator. It is simple
to use but provides power and versatility normally reserved for complicated
math packages, as well as useful tools for everyday needs (such as currency
conversion and percent calculation). Features include a large library of
customizable functions, unit calculations and conversion, symbolic calculations
(including integrals and equations), arbitrary precision, uncertainty
propagation, interval arithmetic, plotting, and a user-friendly interface.

This package provides a Qt graphical interface for Qalculate! 


%prep
%autosetup -p1


%conf
%qmake_qt6 \
    PREFIX='%{_prefix}' \
    DESKTOP_DIR='%{_datadir}/applications' \
    DESKTOP_ICONS_DIR='%{_datadir}/icons' \
    APPDATA_DIR='%{_metainfodir}' \
    MAN_DIR='%{_mandir}'


%build
%make_build


%install
%make_install INSTALL_ROOT='%{buildroot}'

%find_lang qalculate-qt --with-qt


%check
desktop-file-validate '%{buildroot}%{_datadir}/applications/%{app_id}.desktop'
# Still required by guidelines for now
# (https://pagure.io/packaging-committee/issue/1053):
appstream-util validate-relax --nonet \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'
# Matches what gnome-software and others use:
appstreamcli validate --no-net --explain \
    '%{buildroot}%{_metainfodir}/%{app_id}.metainfo.xml'


%files -f qalculate-qt.lang
%license COPYING
%doc AUTHORS
%doc README

%{_bindir}/qalculate-qt
%{_mandir}/man1/qalculate-qt.1*

%{_datadir}/icons/hicolor/*/*/qalculate*

%{_datadir}/applications/%{app_id}.desktop
%{_metainfodir}/%{app_id}.metainfo.xml

%dir %{_datadir}/qalculate-qt
# See qalculate-qt.lang for the files in this directory:
%dir %{_datadir}/qalculate-qt/translations


%changelog
## START: Generated by rpmautospec
* Mon Feb 24 2025 Packit <hello@packit.dev> - 5.5.1-1
- Update to 5.5.1 upstream release
- Resolves: rhbz#2347298

* Mon Jan 20 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 5.5.0-1
- Update to 5.5.0 upstream release
- Resolves: rhbz#2337370

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Nov 26 2024 Packit <hello@packit.dev> - 5.4.0-1
- Update to 5.4.0 upstream release

* Tue Nov 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.3.0-3
- Remove Provides/Obsoletes for qalculate-kde upgrade path

* Sun Nov 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.3.0-2
- Invoke QMake in %%conf rather than in %%build

* Thu Oct 10 2024 Packit <hello@packit.dev> - 5.3.0-1
- Update to 5.3.0 upstream release
- Resolves: rhbz#2317845

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jul 11 2024 Packit <hello@packit.dev> - 5.2.0.1-1
- Update to 5.2.0.1 upstream release
- Resolves: rhbz#2279369

* Fri Jul 05 2024 Packit <hello@packit.dev> - 5.2.0-1
- Update to 5.2.0 upstream release
- Resolves: rhbz#2279369

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 5.0.0-1
- [packit] 5.0.0 upstream release
- Resolves rhbz#2269053

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-8
- Use the autogenerated archive instead of the “release” archive
- Fixes an obsolete FSF postal address in the license file.
- Fixes the need to patch in upstream PR#103, which was released

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-7
- Add id to developer element in AppStream XML metadata
- Fixes failure to build/validate with appstream 1.0.2

* Mon Apr 01 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-5
- Configure Packit

* Sat Feb 17 2024 Jan Grulich <jgrulich@redhat.com> - 4.9.0-4
- Rebuild (qt6)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.9.0-1
- Update to 4.9.0 (close RHBZ#2251742)

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-4
- Fix deprecated top-level developer_name in AppData XML

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-3
- Ask appstreamcli to explain validation findings

* Thu Nov 09 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-2
- Correct appstreamcli invocation (--nonet no longer works)

* Mon Sep 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.1-1
- Update to 4.8.1 (close RHBZ#2239460)

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.8.0-1
- Update to 4.8.0 (close RHBZ#2233781)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.7.0-1
- Update to 4.7.0 (close RHBZ#2219686)

* Sat Jun 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-4
- Remove explicit %%set_build_flags, not needed since F36 > >
  https://www.fedoraproject.org/wiki/Changes/SetBuildFlagsBuildCheck

* Tue May 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-2
- Amend spec-file comment since F36 is EOL

* Wed Apr 19 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.1-1
- Update to 4.6.1 (close RHBZ#2187947)

* Mon Mar 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.6.0-1
- Update to 4.6.0 (close RHBZ#2175723)

* Fri Jan 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 4.5.1-1
- Update to 4.5.1 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.5.0-1
- Update to 4.5.0 (close RHBZ#2155259)

* Thu Dec 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.4.0-2
- Leaf package: remove i686 support

* Tue Oct 18 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.4.0-1
- Update to 4.4.0 (close RHBZ#2135709)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.3.0-1
- Update to 4.3.0 (close RHBZ#2120616)

* Tue Aug 23 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.0-3
- Update License to SPDX

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu May 26 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.2.0-1
- Update to 4.2.0 (close RHBZ#2090493)

* Wed Apr 20 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.1-2
- Provide an upgrade path for qalculate-kde in F37+

* Fri Apr 15 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 4.1.1-1
- Initial package (close RHBZ#2073772)
## END: Generated by rpmautospec
